ambari-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dmitriu...@apache.org
Subject [2/2] ambari git commit: AMBARI-13909. RU: Flume restart failed during downgrade (dlysnichenko)
Date Tue, 17 Nov 2015 14:36:14 GMT
AMBARI-13909. RU: Flume restart failed during downgrade (dlysnichenko)


Project: http://git-wip-us.apache.org/repos/asf/ambari/repo
Commit: http://git-wip-us.apache.org/repos/asf/ambari/commit/e89233e7
Tree: http://git-wip-us.apache.org/repos/asf/ambari/tree/e89233e7
Diff: http://git-wip-us.apache.org/repos/asf/ambari/diff/e89233e7

Branch: refs/heads/trunk
Commit: e89233e7d3044169273d6ddd3ae79290190b6c55
Parents: bc4e41d
Author: Lisnichenko Dmitro <dlysnichenko@hortonworks.com>
Authored: Tue Nov 17 16:35:22 2015 +0200
Committer: Lisnichenko Dmitro <dlysnichenko@hortonworks.com>
Committed: Tue Nov 17 16:35:57 2015 +0200

----------------------------------------------------------------------
 .../resources/stacks/HDP/2.0.6/hooks/before-ANY/scripts/params.py  | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/ambari/blob/e89233e7/ambari-server/src/main/resources/stacks/HDP/2.0.6/hooks/before-ANY/scripts/params.py
----------------------------------------------------------------------
diff --git a/ambari-server/src/main/resources/stacks/HDP/2.0.6/hooks/before-ANY/scripts/params.py
b/ambari-server/src/main/resources/stacks/HDP/2.0.6/hooks/before-ANY/scripts/params.py
index 5612d75..3f0e78f 100644
--- a/ambari-server/src/main/resources/stacks/HDP/2.0.6/hooks/before-ANY/scripts/params.py
+++ b/ambari-server/src/main/resources/stacks/HDP/2.0.6/hooks/before-ANY/scripts/params.py
@@ -57,7 +57,7 @@ hdp_stack_version = format_hdp_stack_version(stack_version_unformatted)
 restart_type = default("/commandParams/restart_type", "")
 version = default("/commandParams/version", None)
 # Handle upgrade and downgrade
-if restart_type and version:
+if (restart_type.lower() == "rolling_upgrade" or restart_type.lower() == "nonrolling_upgrade")
and version:
   hdp_stack_version = format_hdp_stack_version(version)
 
 security_enabled = config['configurations']['cluster-env']['security_enabled']


Mime
View raw message